# Classes Reference

# Classes

The following classes are available globally.

- `ORTCoreMLExecutionProviderOptions`

  Options for configuring the CoreML execution provider.

  See more

  #### Declaration

  Objective-C

      @interface ORTCoreMLExecutionProviderOptions : NSObject

  Swift

      class ORTCoreMLExecutionProviderOptions : NSObject

- `ORTSessionOptions`

  Options for configuring a session.

  See more

  #### Declaration

  Objective-C

      @interface ORTSessionOptions : NSObject

  Swift

      class ORTSessionOptions : NSObject

- `ORTEnv`

  The ORT environment.

  See more

  #### Declaration

  Objective-C

      @interface ORTEnv : NSObject

  Swift

      class ORTEnv : NSObject

- `ORTSession`

  An ORT session loads and runs a model.

  See more

  #### Declaration

  Objective-C

      @interface ORTSession : NSObject

  Swift

      class ORTSession : NSObject

- `ORTRunOptions`

  Options for configuring a run.

  See more

  #### Declaration

  Objective-C

      @interface ORTRunOptions : NSObject

  Swift

      class ORTRunOptions : NSObject

- `ORTValue`

  An ORT value encapsulates data used as an input or output to a model at runtime.

  See more

  #### Declaration

  Objective-C

      @interface ORTValue : NSObject

  Swift

      class ORTValue : NSObject

- `ORTValueTypeInfo`

  A value’s type information.

  See more

  #### Declaration

  Objective-C

      @interface ORTValueTypeInfo : NSObject

  Swift

      class ORTValueTypeInfo : NSObject

- `ORTTensorTypeAndShapeInfo`

  A tensor’s type and shape information.

  See more

  #### Declaration

  Objective-C

      @interface ORTTensorTypeAndShapeInfo : NSObject

  Swift

      class ORTTensorTypeAndShapeInfo : NSObject

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.